/*!
 * @name CSS Plugin
 * @package es6tween-plugin-css
 * @version v0.1-beta
 * @license MIT-License
 * @requires: es6-tween core files for running this plugin
 */

(function(factory) {
  "use strict";
  if (typeof define === "function" && define.amd) {
    define(['es6-tween', 'tweenizr'], function(es6Tween, Tweenizr) {
		return factory(es6Tween || Tweenizr);
	});
  } else if (typeof module !== "undefined" && module.exports && (require('es6-tween') || require('tweenizr'))) {
    module.exports = factory(require('es6-tween') || require('tweenizr'));
  } else if (typeof exports !== "undefined" && (exports.TWEEN || exports.Tweenizr)) {
    factory(exports.TWEEN || exports.Tweenizr);
  } else if (typeof window !== "undefined" && (window.TWEEN || window.Tweenizr)) {
    factory(window.TWEEN || window.Tweenizr);
  }
}(function(TWEEN) {
  "use strict";

  var Plugins = TWEEN.Plugins;

  var css = Plugins.css = function(Tween, start, end) {
	var style = Tween.node.style;
	this.tween = Tween;
	this.tween.on('update', function(render) {
		for ( let prop in render ) {
			style[prop] = render[prop];
		}
	});
  }
}));